exim4 vulnerabilities

Direct Vulnerabilities

Known vulnerabilities in the exim4 package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • C
Out-of-bounds Write

<4.94.2-5
  • H
Release of Invalid Pointer or Reference

<4.95-4
  • H
Arbitrary Code Injection

*
  • M
Improper Privilege Management

<4.94.2-1
  • C
CVE-2020-28026

<4.94.2-1
  • C
Out-of-Bounds

<4.94.2-1
  • H
Out-of-bounds Read

<4.94.2-1
  • H
Out-of-bounds Read

<4.94.2-1
  • C
Out-of-Bounds

<4.94.2-1
  • H
CVE-2020-28021

<4.94.2-1
  • H
Improper Initialization

<4.94.2-1
  • C
Integer Overflow or Wraparound

<4.92~RC5-1
  • H
Out-of-bounds Write

<4.94.2-1
  • L
Use After Free

<4.94.2-1
  • C
Integer Overflow or Wraparound

<4.94.2-1
  • H
CVE-2020-28015

<4.94.2-1
  • M
Improper Privilege Management

<4.94.2-1
  • H
Out-of-bounds Write

<4.94.2-1
  • H
CVE-2020-28012

<4.94.2-1
  • H
Out-of-bounds Write

<4.94.2-1
  • H
Integer Overflow or Wraparound

<4.94.2-1
  • H
Out-of-bounds Write

<4.94.2-1
  • H
Improper Privilege Management

<4.94.2-1
  • H
Link Following

<4.94.2-1
  • H
Out-of-bounds Read

<4.93-16
  • C
Out-of-bounds Write

<4.92.2-3
  • C
CVE-2019-15846

<4.92.1-3
  • C
Improper Data Handling

<4.92-10
  • C
OS Command Injection

<4.92~RC3-1
  • C
Out-of-Bounds

<4.90.1-1
  • C
Use After Free

<4.89-12
  • H
Loop with Unreachable Exit Condition ('Infinite Loop')

<4.89-13
  • M
Improper Resource Shutdown or Release

<4.89-3
  • M
Key Management Errors

<4.88~RC6-2
  • H
Access Restriction Bypass

<4.86.2-1
  • L
Improper Input Validation

<4.82.1-1
  • L
Numeric Errors

<4.82.1-2
  • M
Out-of-Bounds

<4.80-5.1
  • H
Use of Externally-Controlled Format String

<4.75-3
  • H
Improper Input Validation

<4.76-1
  • H
Improper Input Validation

<4.72-4
  • H
Access Restriction Bypass

<4.72-3
  • H
Out-of-Bounds

<4.70-1
  • L
Race Condition

<4.72-1
  • L
Race Condition

<4.72-1
  • H
CVE-2005-0021

<4.34-10
  • M
CVE-2005-0022

<4.34-10
  • H
CVE-2004-0399

<4.33-1
  • H
CVE-2004-0400

<4.33-1
  • H
CVE-2002-1381

<4.11-0.0.1